## fcitx-table-extra 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-table-extra) 

find_package(Fcitx 4.2.0 REQUIRED)
find_package(Gettext REQUIRED)
find_program(TXT2MB txt2mb REQUIRED)

add_subdirectory(icons)
add_subdirectory(tables)
add_subdirectory(po)

=== icons/CMakeLists.txt ===
install(FILES fcitx-boshiamy.png fcitx-zhengma.png DESTINATION share/icons/hicolor/64x64/apps)

=== po/CMakeLists.txt ===
set(PO_FILES zh_CN.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-table-extra.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-table-extra --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== tables/CMakeLists.txt ===
set(TABLE_NAME boshiamy zhengma cangjie3 cangjie5 cangjie-big)

set(MB_FILE)
set(CONF_FILE)

foreach(table ${TABLE_NAME})
    intltool_merge_translation(${CMAKE_CURRENT_SOURCE_DIR}/${table}.conf.in ${CMAKE_CURRENT_BINARY_DIR}/${table}.conf )
    
    add_custom_command(OUTPUT ${table}.mb
                       DEPENDS ${table}.txt
                       COMMAND ${TXT2MB} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt ${CMAKE_CURRENT_BINARY_DIR}/${table}.mb)
                       
    set(MB_FILE ${MB_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${table}.mb)
    set(CONF_FILE ${CONF_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${table}.conf)
endforeach(table ${TABLE_NAME})
                       
add_custom_target(table_data ALL DEPENDS ${MB_FILE} ${CONF_FILE})

install(FILES ${CONF_FILE} DESTINATION ${FCITX4_PREFIX}/share/fcitx/table)
install(FILES ${MB_FILE} DESTINATION ${FCITX4_PREFIX}/share/fcitx/table)

=== debian/changelog ===
fcitx-table-extra (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #658151)

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2012 03:51:19 +0800

=== debian/control ===
Source: fcitx-table-extra
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0),
    fcitx-tools (>= 1:4.2.0),  intltool
Standards-Version: 3.9.2
Homepage: http://code.googlecode.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-table-extra.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-table-extra.git

Package: fcitx-table-boshiamy
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Boshiamy table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Boshiamy table used by the Fcitx table engine.

Package: fcitx-table-cangjie3
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Cangjie3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie3 table used by the Fcitx table engine.

Package: fcitx-table-cangjie5
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Cangjie5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie5 table used by the Fcitx table engine.

Package: fcitx-table-cangjie-big
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Cangjie-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie-Big table used by the Fcitx table engine.

Package: fcitx-table-zhengma
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Zhengma table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Zhengma table used by the Fcitx table engine.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-table-extra-(\d+\.\d+\.\d+).tar\.bz2

## fcitx-table-extra 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-table-extra NONE)

find_package(Fcitx 4.2.3 REQUIRED)
find_package(Gettext REQUIRED)
find_program(TXT2MB txt2mb REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

add_subdirectory(icons)
add_subdirectory(tables)
add_subdirectory(po)

=== icons/CMakeLists.txt ===
install(FILES
    fcitx-boshiamy.png fcitx-cantonese.png fcitx-easy-big.png fcitx-array30.png fcitx-array30-big.png fcitx-stroke5.png
    DESTINATION share/icons/hicolor/64x64/apps)

install(FILES
    fcitx-cantonhk.png fcitx-jyutping.png
    fcitx-quick3.png fcitx-quick5.png fcitx-quick-classic.png fcitx-scj6.png fcitx-wu.png
    fcitx-zhengma.png
    DESTINATION share/icons/hicolor/48x48/apps)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_FILES zh_CN.po)
+file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
 file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
 if ("${REL_SOURCE_ROOT}" STREQUAL "")
     set(REL_SOURCE_ROOT ".")

=== tables/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-set(TABLE_NAME boshiamy zhengma cangjie3 cangjie5 cangjie-big)
+set(TABLE_NAME boshiamy zhengma cangjie3 cangjie5 cangjie-big
+    quick3 quick5 quick-classic
+    scj6 easy-big wu cantonese cantonhk jyutping stroke5 array30 array30-big
+    wubi-large
+    )
 
 set(MB_FILE)
 set(CONF_FILE)

=== debian/changelog ===
fcitx-table-extra (0.3.1-1) unstable; urgency=low

  * New upstream release: Add wubi-large table.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 06 Jun 2012 15:54:06 +0800

fcitx-table-extra (0.3.0-1) unstable; urgency=low

  * New upstream release:
    + Add array30, array30-big, cantonese, cantonhk, jyutping,
      scj6, stroke5 and wu tables.
  * debian/rules:
    - Call dh_install with --fail-missing.

 -- Aron Xu <aron@debian.org>  Fri, 11 May 2012 18:45:18 +0000

fcitx-table-extra (0.2.1-1) unstable; urgency=low

  * New upstream release.
    + Add Quick3, Quick5 and Quick Classic tables.
  * debian/control:
    + Add new binaries.
    - Bump std-ver to 3.9.3, no change required.
  * debian/README.source:
    - Add info about Quick* tables.
  * debian/rules:
    - Use xz to compress the binary packages, as upstream will
      grow the size of this package by every release.

 -- Aron Xu <aron@debian.org>  Fri, 04 May 2012 00:54:46 +0800

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,44 @@
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0),
-    fcitx-tools (>= 1:4.2.0),  intltool
-Standards-Version: 3.9.2
+    fcitx-tools (>= 1:4.2.3), intltool
+Standards-Version: 3.9.3
 Homepage: http://code.googlecode.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-table-extra.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-table-extra.git
 
+Package: fcitx-table-array30
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Array30 table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Array30 table used by the Fcitx table engine.
+
+Package: fcitx-table-array30-big
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Array30-Big table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Array30-Big table used by the Fcitx table engine.
+
 Package: fcitx-table-boshiamy
 Architecture: any
 Depends: ${misc:Depends}, fcitx-table
@@ -27,6 +59,38 @@
  .
  This package provides Boshiamy table used by the Fcitx table engine.
 
+Package: fcitx-table-cantonese
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Cantonese table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Cantonese table used by the Fcitx table engine.
+
+Package: fcitx-table-cantonhk
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Cantonhk table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Cantonhk table used by the Fcitx table engine.
+
 Package: fcitx-table-cangjie3
 Architecture: any
 Depends: ${misc:Depends}, fcitx-table
@@ -75,18 +139,133 @@
  .
  This package provides Cangjie-Big table used by the Fcitx table engine.
 
-Package: fcitx-table-zhengma
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
-Description: Flexible Input Method Framework - Zhengma table
- Fcitx is a input method framework with extension support, which provides
- an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
- for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
- API.
- .
- This package provides Zhengma table used by the Fcitx table engine.
+Package: fcitx-table-wubi-large
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Wubi-Large table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Wubi-Large table used by the Fcitx table engine.
+
+Package: fcitx-table-easy-big
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Easy-Big table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Easy-Big table used by the Fcitx table engine.
+
+Package: fcitx-table-quick3
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Quick3 table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Quick3 table used by the Fcitx table engine.
+
+Package: fcitx-table-quick5
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Quick5 table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Quick5 table used by the Fcitx table engine.
+
+Package: fcitx-table-quick-classic
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Quick-Classic table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Quick-Classic table used by the Fcitx table engine.
+
+Package: fcitx-table-jyutping
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Jyutping table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Jyutping table used by the Fcitx table engine.
+
+Package: fcitx-table-scj6
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Scj6 table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Scj6 table used by the Fcitx table engine.
+
+Package: fcitx-table-stroke5
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Stroke5 table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Stroke5 table used by the Fcitx table engine.
+
+Package: fcitx-table-wu
+Architecture: any

## fcitx-table-extra 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-table-extra NONE)

find_package(Fcitx 4.2.7 REQUIRED)
find_program(TXT2MB txt2mb REQUIRED)

_fcitx_add_uninstall_target()

add_subdirectory(po)
add_subdirectory(icons)
add_subdirectory(tables)

=== icons/CMakeLists.txt ===
set(ICON48
    fcitx-cantonhk.png fcitx-jyutping.png
    fcitx-quick3.png fcitx-quick5.png fcitx-quick-classic.png fcitx-scj6.png fcitx-wu.png
    fcitx-zhengma.png)
set(ICON64 fcitx-t9.png fcitx-boshiamy.png fcitx-cantonese.png fcitx-easy-big.png fcitx-array30.png fcitx-array30-big.png fcitx-stroke5.png)

install(FILES
    ${ICON64}
    DESTINATION share/icons/hicolor/64x64/apps)

install(FILES
    ${ICON48}
    DESTINATION share/icons/hicolor/48x48/apps)

foreach(icon ${ICON48} ${ICON64})
    string(REPLACE "fcitx-" "" icon_new ${icon})
    install(FILES ${icon} RENAME ${icon_new} DESTINATION share/fcitx/imicon)
endforeach()

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-table-extra fcitx-table-extra.pot)

=== debian/changelog ===
fcitx-table-extra (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Std-ver: 3.9.2 -> 3.9.4, no change.
  * compat: 8 -> 9.
  * Add binary package fcitx-table-t9.
  * Remove DMUA.
  * Add fcitx-bin to Build-Depends.
  * Remove old patches.

 -- Aron Xu <aron@debian.org>  Sat, 03 Aug 2013 21:56:11 +0800

fcitx-table-extra (0.3.3-1) experimental; urgency=low

  * Imported Upstream version 0.3.3

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 21:06:19 +0800

fcitx-table-extra (0.3.2-1) experimental; urgency=low

  * Install icons to correct place
  * Imported Upstream version 0.3.2
  * Add new packages: fcitx-table-zhengma-large

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 18 Aug 2012 11:53:48 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0),
-    fcitx-tools (>= 1:4.2.3), intltool
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8),
+    fcitx-tools (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), intltool
+Standards-Version: 3.9.4
 Homepage: http://code.googlecode.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/fcitx-table-extra.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-table-extra.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-table-extra.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-table-extra.git
 
 Package: fcitx-table-array30
 Architecture: any
@@ -155,6 +154,22 @@
  .
  This package provides Wubi-Large table used by the Fcitx table engine.
 
+Package: fcitx-table-zhengma-large
+Architecture: any
+Depends: ${misc:Depends}, fcitx-table
+Description: Flexible Input Method Framework - Zhengma-Large table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems. 
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Zhengma-Large table used by the Fcitx table engine.
+
 Package: fcitx-table-easy-big
 Architecture: any
 Depends: ${misc:Depends}, fcitx-table
@@ -252,20 +267,3 @@
  This package provides Scj6 table used by the Fcitx table engine.
 
 Package: fcitx-table-stroke5
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
-Description: Flexible Input Method Framework - Stroke5 table
- Fcitx is a input method framework with extension support, which provides
- an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
- for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
- API.
- .
- This package provides Stroke5 table used by the Fcitx table engine.
-
-Package: fcitx-table-wu
-Architecture: any

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-table-extra-*\.*(.*)\.tar\.xz

## fcitx-table-extra 0.3.7

=== debian/changelog ===
fcitx-table-extra (0.3.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sat, 02 Jan 2016 14:54:06 +0800

fcitx-table-extra (0.3.7-1) experimental; urgency=medium

  * New upstream release.
  * Add comment for removing .mo files
  * Bump std-ver to 3.9.6, no change.
  * Move all binary packages to arch:all.

 -- Aron Xu <aron@debian.org>  Tue, 10 Feb 2015 16:44:45 +0800

=== debian/control ===
Source: fcitx-table-extra
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               fcitx-bin (>= 1:4.2.8),
               fcitx-libs-dev (>= 1:4.2.8),
               fcitx-tools (>= 1:4.2.8),
               intltool
Standards-Version: 3.9.6
Homepage: http://www.fcitx-im.org
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-table-extra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-table-extra.git

Package: fcitx-table-array30
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Array30 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Array30 table used by the Fcitx table engine.

Package: fcitx-table-array30-big
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Array30-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Array30-Big table used by the Fcitx table engine.

Package: fcitx-table-boshiamy
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Boshiamy table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Boshiamy table used by the Fcitx table engine.

Package: fcitx-table-cantonese
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Cantonese table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cantonese table used by the Fcitx table engine.

Package: fcitx-table-cantonhk
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Cantonhk table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cantonhk table used by the Fcitx table engine.

Package: fcitx-table-cangjie3
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Cangjie3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie3 table used by the Fcitx table engine.

Package: fcitx-table-cangjie5
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Cangjie5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie5 table used by the Fcitx table engine.

Package: fcitx-table-cangjie-big
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Cangjie-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie-Big table used by the Fcitx table engine.

Package: fcitx-table-wubi-large
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Wubi-Large table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Wubi-Large table used by the Fcitx table engine.

Package: fcitx-table-zhengma-large
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Zhengma-Large table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Zhengma-Large table used by the Fcitx table engine.

Package: fcitx-table-easy-big
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Easy-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Easy-Big table used by the Fcitx table engine.

Package: fcitx-table-quick3
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Quick3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick3 table used by the Fcitx table engine.

Package: fcitx-table-quick5
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Quick5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick5 table used by the Fcitx table engine.

Package: fcitx-table-quick-classic
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Quick-Classic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick-Classic table used by the Fcitx table engine.

Package: fcitx-table-jyutping
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Jyutping table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Jyutping table used by the Fcitx table engine.

Package: fcitx-table-scj6
Architecture: all
Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
Description: Flexible Input Method Framework - Scj6 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 
override_dh_install:
	# Removing translation files that's not used
	find . -name *.mo -delete
	dh_install --fail-missing
override_dh_builddeb:
	dh_builddeb -- -Zxz
